Subject: Re: bug#11597: df calculus wrong?

From: Pádraig Brady <[email-masked]>
Date: Fri, 01 Jun 2012 00:08:00 +0100

tags 11597 notabug

On 05/31/2012 11:26 PM, system wrote:
> Hello everybody, 
> 
> first of all let me say a big thank you -and all the others- for
> spending time and life donation to the GPL, FSF, ....  world of Linux. 
> 
> 
> I am not an developer but mathematics is one of my favs so how can the
> following explained? 
> 
> Command issued 
> df -h
> 
> response 
> ----paste start -----
> Dateisystem            Größe Benut  Verf Ben% Eingehängt auf
> /dev/sda1              36G   25G  9,1G  73% /
> ....
> ----paste end -----
> 
> Circumstances and conditions: 
> Ubuntu 10.04 lts server
> SDA is a physical SATA connected drive 
> Installation language de
> Execution is done via ssh due to headless server system
> 
> If size (Größe) is 36GB and occupied space (Benut) is 25GB -guess-
> remaining space (Verf) is below 10GB there must be  a bug in calculation
> or in the way the first two values were derived from the system. 
> If there would be a diff of +-1 digit nobody would think about but in
> this case there is a mismatch in the msd (most signifikant digit) 
> 
> I would really appreciate feedback that the mail is recieved and if
> there will be actions taken upon. 

There can be less available space due to reservations for example.
I think the specific issue here is that 5% of the / file system
is reserved for the root user and thus is not included in the
generally available count returned by the file system.

cheers,
Pádraig.